.header {
    position: fixed;
    width: 100%;
    padding: 20px 0;
    z-index: 3;
    background-color: $lotion;
    box-shadow: 0px 10px 10px -5px rgba(202, 202, 202, 0.602);

    .header__wrapper {
        display: flex;
        align-items: center;
        justify-content: space-between;
        position: relative;

        .desktop__logo {
            width: 200px;

            @media (max-width: 1280px) {
                width: 150px;
            }
        }

        .burger__mobile {
            display: none;
            position: relative;
            top: 50%;
            transform: translateY(-50%);
            right: 35px;
            cursor: pointer;
            
            .burger {
                @include burger;
            }

            @media (max-width: 768px) {
                display: flex;
            }
        }

        .burger__mobile--active {
            .burger {
                @include burgerActive;
            }
        }

        .header__navigation {
            display: flex;
            gap: 50px;

            @media (max-width: 1024px) {
                gap: 45px;
            }

            @media (max-width: 768px) {
                position: fixed;
                top: 70px;
                left: 0;
                padding: 1.5rem;
                flex-direction: column;
                background-color: white;
                width: 100%;
                gap: 0;
                height: calc(100% - 130px);
                visibility: hidden;
                opacity: 0;
                overflow-y: scroll;
                overflow-x: hidden;
                box-shadow: 0px 10px 15px -5px rgba(111, 111, 111, 0.602);

                &::-webkit-scrollbar-track {
                    background-color: transparent;
                }

                &::-webkit-scrollbar {
                    width: 5px;
                }
                
                &::-webkit-scrollbar-thumb {
                    background-color: $lustHover;
                }
            }

            .nav__item {
                @include navItem;
                
                @media (max-width: 768px) {
                    margin: 0;
                    margin-bottom: 15px;
                }
            }

            .button__item {
                @include arrowLink;
                @include showList; 
                position: relative;

                @media (max-width: 768px) {
                    flex-direction: column;
                    align-items: baseline;

                    .item__icon {
                        position: absolute;
                        right: 0;
                        top: 5px;
                    }
                }

                .menu-dropdown__list {
                    @include dropdown;
                    top: 20px;
                    z-index: 1;
                    display: none;

                    @media (max-width: 1280px) {
                        left: -200px;
                    }

                    @media (max-width: 768px) {
                        box-shadow: none;
                        position: relative;
                        left: 0;
                        top: 0;
                        width: 100%;
                        margin-top: 10px;
                    }
                  
                    .menu-dropdown__item {
                        @include dropdownItem;
                        @include showList;
                        padding: 1rem; 
                        text-align: left;
                        font-family: 'Yeseva One';

                        .menu-dropdown__title{
                            @include dropdownLink;
                        }

                        .sub-menu-dropdown__list {
                            @include dropdown;
                            top: -20px;
                            left: 300px;
                            transform: translateY(20px);
                            z-index: 2;
                            display: none;

                            @media (max-width: 768px) {
                                top: 0;
                                margin-bottom: 30px;
                                background-color: $brightGray;
                            }

                            .sub-menu-dropdown__item {
                                @include dropdownItem;
                                padding: 0.5rem;
                                font-family: 'TT Norms Pro';

                                .sub-menu-dropdown__title{
                                    @include dropdownLink; 
                                }
                            }
                        }
                    }
                }

                .service__list {
                    @media (max-width: 1024px) {
                        left: -260px;
                    }

                    @media (max-width: 768px) {
                        left: 0;
                    }

                    .menu-dropdown__item {
                        &:last-child {
                            .sub-menu-dropdown__list {
                                top: -300px;

                                @media (max-width: 768px) {
                                    top: 0;
                                }
                            }
                        }
                    }
                }
            }
        }

        .header__navigation--active {
            visibility: visible;
            opacity: 1;
        }

        .header__buttons {
            display: flex;
            gap: 10px;

            @media (max-width: 768px) {
                position: fixed;
                justify-content: center;
                gap: 0;
                bottom: 0;
                left: 0;
                padding: 0px 15px;
                background-color: $lotion;
                width: 100%;
                box-shadow: 0px -5px 15px -5px rgba(111, 111, 111, 0.602);
            }

            .phone__link {
                &:hover {
                    color: $lustHover;

                    svg {
                        path {
                           fill: $lustHover; 
                        }
                    }
                }

                @media (max-width: 1280px) {
                    .number {
                        display: none;
                    }

                   
                }

                @media (max-width: 768px) {
                    &:hover {
                        color: $outerSpace;
    
                        svg {
                            path {
                               fill: $outerSpace;
                            }
                        }
                    }
                }
            }

            .callback__button {
                display: flex;
                position: fixed;
                bottom: 15px;
                right: 15px;
                border-radius: 100%;
                gap: 0;
                background-color: $lust;
                box-shadow: 0px 10px 15px -5px rgba(111, 111, 111, 0.602);
                
                &:hover {
                    background-color: $lustHover;
                }

                span {
                    display: none;
                }

                @media (max-width: 1024px) {
                    svg {
                        width: 30px;
                        height: 30px;
                    }
                }
            }

            .whatsapp__link {

                &:hover {
                    svg {
                        path {
                           fill: $lustHover; 
                        }
                    }
                }

                @media (max-width: 1024px) {
                    position: fixed;
                    bottom: 80px;
                    right: 15px;
                    border-radius: 100%;
                    background-color: $whatsapp;
                    box-shadow: 0px 10px 15px -5px rgba(111, 111, 111, 0.602);

                    svg {
                        path {
                            fill: $white;
                        }
                    }

                    &:hover {
                        background-color: $whatsappHover;

                        svg {
                            path {
                                fill: $white;
                            }
                        }
                    }
                }

                @media (max-width: 768px) {
                    position: initial;

                    &:hover {
                        svg {
                            path {
                                fill: $outerSpace;
                            }
                        }
                    }
                }
            }

            .telegram__link {

                &:hover {
                    svg {
                        path {
                           fill: $lustHover; 
                        }
                    }
                }

                @media (max-width: 1024px) {
                    position: fixed;
                    bottom: 145px;
                    right: 15px;
                    border-radius: 100%;
                    background-color: $telegram;
                    box-shadow: 0px 10px 15px -5px rgba(111, 111, 111, 0.602);
                    
                    svg {
                        path {
                            fill: $white;
                        }
                    }

                    &:hover {
                        background-color: $telegramHover;

                        svg {
                            path {
                                fill: $white;
                            }
                        }
                    }
                }

                @media (max-width: 768px) {
                    position: initial;

                    &:hover {
                        svg {
                            path {
                                fill: $outerSpace;
                            }
                        }
                    }
                }
            }

            .basket__link {
                position: relative;

                &:hover {
                    svg {
                        path {
                           fill: $lustHover; 
                        }
                    }
                }

                @media (max-width: 768px) {
                    &:hover {
                        svg {
                            path {
                               fill: $outerSpace; 
                            }
                        }
                    }
                }

                .basket__counter {
                    position: absolute;
                    right: -10px;
                    top: -5px;
                    font-size: 15px;
                    background-color: $lust;
                    color: $white;
                    border-radius: 100%;
                    padding: 5px;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    width: 24px;
                    height: 24px;
                    box-shadow: 0px 10px 15px -5px rgba(111, 111, 111, 0.602);

                    @media (max-width: 768px) {
                        position: absolute;
                        right: 23px;
                        top: 5px;
                        font-size: 12px;
                        width: 22px;
                        height: 22px;
                    }

                    @media (max-width: 576px) {
                        right: 18px;
                        top: 2px;
                        font-size: 10px;
                        width: 20px;
                        height: 20px;
                    }
                }
            }

            .header__item {
                @include headerItem;
            }
        }
    }
}